GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
json_writer.c File Reference
`#include <string.h>`
`#include <grpc/support/port_platform.h>`
`#include "src/core/json/json_writer.h"`

## Functions
void | grpc_json_writer_init (grpc_json_writer *writer, int indent, grpc_json_writer_vtable *vtable, void *userdata)
void | grpc_json_writer_container_begins (grpc_json_writer *writer, grpc_json_type type)
void | grpc_json_writer_container_ends (grpc_json_writer *writer, grpc_json_type type)
void | grpc_json_writer_object_key (grpc_json_writer *writer, const char *string)
void | grpc_json_writer_value_raw (grpc_json_writer *writer, const char *string)
void | grpc_json_writer_value_raw_with_len (grpc_json_writer *writer, const char *string, size_t len)
void | grpc_json_writer_value_string (grpc_json_writer *writer, const char *string)

## Function Documentation

void grpc_json_writer_container_begins | ( | grpc_json_writer * | writer,
|  | grpc_json_type | type
| ) |  |

void grpc_json_writer_container_ends | ( | grpc_json_writer * | writer,
|  | grpc_json_type | type
| ) |  |

void grpc_json_writer_init | ( | grpc_json_writer * | writer,
|  | int | indent,
|  | grpc_json_writer_vtable * | vtable,
|  | void * | userdata
| ) |  |

void grpc_json_writer_object_key | ( | grpc_json_writer * | writer,
|  | const char * | string
| ) |  |

void grpc_json_writer_value_raw | ( | grpc_json_writer * | writer,
|  | const char * | string
| ) |  |

void grpc_json_writer_value_raw_with_len | ( | grpc_json_writer * | writer,
|  | const char * | string,
|  | size_t | len
| ) |  |

void grpc_json_writer_value_string | ( | grpc_json_writer * | writer,
|  | const char * | string
| ) |  |